Skip to content
Docs

Get NKS Controller Details

GET/v1/nks/clusters/{cluster_id}/controllers/{controller_id}

Get details about an NKS controller

Path ParametersExpand Collapse
cluster_id: string
controller_id: string
ReturnsExpand Collapse
NKSController object { id, created_at, instance_type, 4 more }

NKS controller details.

id: string

Unique identifier for the controller.

created_at: string

When the controller was created.

formatdate-time
instance_type: string

Instance type name.

name: string

Name of the controller.

private_ip: string

Private IP address of the controller.

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"
updated_at: string

When the controller was last updated.

formatdate-time

Get NKS Controller Details

curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/controllers/$CONTROLLER_ID \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2025-01-01T00:00:00Z",
  "instance_type": "n1-standard-8",
  "name": "my-controller-0",
  "private_ip": "10.0.0.10",
  "status": "ready",
  "updated_at": "2025-01-01T00:00:00Z"
}
Returns Examples
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2025-01-01T00:00:00Z",
  "instance_type": "n1-standard-8",
  "name": "my-controller-0",
  "private_ip": "10.0.0.10",
  "status": "ready",
  "updated_at": "2025-01-01T00:00:00Z"
}